#
# spec file for package ghc-audacity
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name audacity
Name:           ghc-%{pkg_name}
Version:        0.0.1.2
Release:        11.1
Summary:        Interchange with the Audacity sound signal editor
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-explicit-exception-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-non-empty-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-storable-record-devel
BuildRequires:  ghc-storablevector-devel
BuildRequires:  ghc-tagchup-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-utility-ht-devel
BuildRequires:  ghc-xml-basic-devel

%description
This package provides functions for interchange with the Audacity sound signal
editor. Currently we support import and export of label tracks, export of
Audacity projects and limited import of tracks from Audacity projects.

We provide some examples that are useful on its own:

* 'sox-concat': Concatenate a sequence of sound files with matching sampling
rates and numbers of channels using SoX and generate an Audacity label track
file that shows the origins of the parts.

* 'audacity-concat': Create an Audacity project file containing a virtual
concatenation of the input sound files and a label track showing the origins of
the sound files.

* 'audacity-combine': Put several audio and label files into tracks of a new
Audacity project. Opening one or even multiple such projects is much easier
than loading individual tracks into Audacity.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc example

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jun 19 2017 psimons@suse.com
- Update to version 0.0.1.2.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 0.0.1.1 with cabal2obs.
